Last Comment Bug 715275 - No favicon / default favicon image is very fuzzy
: No favicon / default favicon image is very fuzzy
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 11 Branch
: ARM Android
: P4 normal (vote)
: Firefox 12
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 12:17 PST by Patryk Adamczyk [:patryk] UX
Modified: 2016-07-29 14:21 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified


Attachments
Fuzzy icon example (159.38 KB, image/png)
2012-01-04 12:17 PST, Patryk Adamczyk [:patryk] UX
no flags Details
Update default favicons (5 sizes) (10.57 KB, application/zip)
2012-01-12 08:53 PST, Patryk Adamczyk [:patryk] UX
no flags Details
patch (11.16 KB, patch)
2012-01-25 14:16 PST, Matt Brubeck (:mbrubeck)
sriram.mozilla: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Patryk Adamczyk [:patryk] UX 2012-01-04 12:17:34 PST
Created attachment 585850 [details]
Fuzzy icon example

Higher quality / multiple image sizes of the no favicon / default favicon are needed.
Comment 1 Patryk Adamczyk [:patryk] UX 2012-01-12 08:53:22 PST
Created attachment 588055 [details]
Update default favicons (5 sizes)
Comment 2 Patryk Adamczyk [:patryk] UX 2012-01-12 08:55:03 PST
Attached are the production assets.
Comment 3 Matt Brubeck (:mbrubeck) 2012-01-25 14:16:31 PST
Created attachment 591603 [details] [diff] [review]
patch

Sorry for taking a while to get to this, Patryk.  This bug adds new default favicon images at the following sizes as used in the awesomescreen:

MDPI:  32px
HDPI:  48px
XHDPI: 64px

The favicon in the URL bar is drawn at a smaller size (21.33dp, which maps to the pixel sizes below).  Currently it is just a scaled-down version of the default favicon.  If you'd like to provide a separate image for the smaller URL bar icon, it should be at the following sizes:

MDPI:  21px
HDPI:  32px (we already have an icon available at this size)
XHDPI: 43px (I think - can someone with an XHDPI device test this?)
Comment 4 Sriram Ramasubramanian [:sriram] 2012-01-25 14:36:43 PST
Comment on attachment 591603 [details] [diff] [review]
patch

Review of attachment 591603 [details] [diff] [review]:
-----------------------------------------------------------------

The patch looks fine to me.
I haven't tested it yet though.
Comment 6 Matt Brubeck (:mbrubeck) 2012-01-25 14:54:38 PST
Comment on attachment 591603 [details] [diff] [review]
patch

[Approval Request Comment]
Trivial Android-only change to tweak some image files.  Fixes some fuzzily-scaled images in the UI.
Comment 7 Alex Keybl [:akeybl] 2012-01-25 17:03:40 PST
Comment on attachment 591603 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 8 Ed Morley [:emorley] 2012-01-26 04:36:15 PST
https://hg.mozilla.org/mozilla-central/rev/8113ce367f8f
Comment 9 Aaron Train [:aaronmt] 2012-01-26 06:48:15 PST
This. Is. Lovely.

Verified Fixed on M-C
Samsung Galaxy Nexus (Android 4.0.3)
20120126031113
http://hg.mozilla.org/mozilla-central/rev/402b394b6623

Aurora nom?
Comment 10 Matt Brubeck (:mbrubeck) 2012-01-26 17:40:45 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/0cc55c3cff25

Note You need to log in before you can comment on or make changes to this bug.